> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/glue-reference/multi-platform/glue-reference-ios/using-xamarin-build-host-for-ios-development.md).

# Using Xamarin Build Host

{% hint style="warning" %}
**iOS projects cannot currently be created** — see the [iOS](/flatredball/glue-reference/multi-platform/glue-reference-ios.md) page for why.
{% endhint %}

### Introduction

FlatRedBall iOS projects (including Glue projects) can be developed in Visual Studio and deployed to an iOS device through a networked Mac using Xamarin Build Host. This is the fastest way to develop iOS gams but it does require a Xamarin Business License (which is more expensive than Xamarin Indie License).

This article shows how to use Xamarin Build Host to deploy a FlatRedBal iOS game.

### Xamarin Build Host Setup

Before deploying you must have your Mac and PC computers configured for Xamarin Build Host. Xamarin provides a guide for getting Xamarin Build Host set up here: <http://developer.xamarin.com/guides/ios/getting_started/installation/windows/introduction_to_xamarin_ios_for_visual_studio/>

### Creating an iOS Project in Glue

Creating a FlatRedBall iOS project through Glue is nearly identical to creating a PC project:

1. Open Glue
2. Select File->"New Project"
3. Select "iOS" as the project type
4. Enter a name
5. Click "Make my project!"

![CreateNewiOSProject.gif](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-ca32f826794658f8271388869e7d946fee3c9068%2Fmigrated_media-CreateNewiOSProject.gif?alt=media)

Once the project has finished downloading it can be opened in Visual Studio. Visual Studio should display UI for the Xamarin Build Host:

![ConnectedToMac.PNG](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-63eec5d64a93d3a7cf36c04879026d7343effaf1%2Fmigrated_media-ConnectedToMac.PNG?alt=media)

### Running the project

As shown in the Xamarin guide above, running the app simply requires running from Visual Studio just like normal. Of course, the app will run on simulator or physical iOS device depending on your settings:

![FrbiOSScreenie.png](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-1653a4c9a08956357bbc7430ac19d0fc7aa640d0%2Fmigrated_media-FrbiOSScreenie.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/glue-reference/multi-platform/glue-reference-ios/using-xamarin-build-host-for-ios-development.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
